# class Puppet::Property::VDev

### Public Instance Methods

flatten_and_sort(array) click to toggle source

    # File lib/puppet/type/zpool.rb, line 6
    def flatten_and_sort(array)
      array = [array] unless array.is_a? Array
      array.collect { |a| a.split(' ') }.flatten.sort
    end

insync?(is) click to toggle source

    # File lib/puppet/type/zpool.rb, line 11
    def insync?(is)
      return @should == [:absent] if is == :absent

      flatten_and_sort(is) == flatten_and_sort(@should)
    end